Skip to main content
GET
/
api
/
gen-ai
/
beta
/
endpoints
/
{endpointId}
/
versions
/
{versionNumber}
/
pod-resource-metrics
Get pod resource usage metrics for a model endpoint version
curl --request GET \
  --url https://api.example.com/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}/pod-resource-metrics \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "resourceUsage": {
    "observations": [
      {
        "cpuUsagePercent": 45.2,
        "gpuMemoryUsagePercent": 42.7,
        "gpuMemoryUsedBytes": 2147483648,
        "gpuUtilizationPercent": 78.5,
        "memoryUsageBytes": 1073741824,
        "memoryUsagePercent": 65.3,
        "timestamp": "2024-01-15T10:00:00Z"
      }
    ]
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

endpointId
string
required

The ID of the model endpoint to get pod resource metrics for

Example:

"62313ce67a0af0281c01a6a5"

versionNumber
integer
required

The version number of the model endpoint to get pod resource metrics for

Example:

1

Query Parameters

startTime
string<date-time>

Start time for the metrics query in ISO 8601 format. Defaults to 24 hours ago.

Example:

"2024-01-15T10:00:00Z"

endTime
string<date-time>

End time for the metrics query in ISO 8601 format. Defaults to current time.

Example:

"2024-01-16T10:00:00Z"

aggregationWindow
enum<string>

Optional aggregation window for metrics data points. When provided, uses the specified window (5min, hourly, or daily) for step size. When omitted, uses adaptive step sizing based on the time range to optimize data point count.

Available options:
hourly,
daily
Example:

"hourly"

maxHistoricalExecutions
integer
default:3

Maximum number of historical executions to include in metrics aggregation. Defaults to 3 if not specified.

Required range: 1 <= x <= 10
Example:

3

Response

Success

resourceUsage
object
required

Combined pod resource usage time series data